# UDPPacket

  A packet carrying UDP header.

## Super Class:

  `IPPacket`

## Methods:

`udp_data`

  Return data part as `String`.

`udp_dport`
`dport`

  Return destination port number.

`udp_len`

  Return value of length field. This value represents the length in octets of this UDP datagram.

`udp_sum`

  Return the value of checksum field.

`udp_sport`
`sport`

  Return source port number.

`to_s`

  Return string representation.

fukusima@goto.info.waseda.ac.jp